indexing
	description: "Extension of DATE_TIME from Eiffel Software"
	license: "Eiffel Forum License v2 - See license.txt"
	source: "{
		Amalasoft Corporation
		273 Harwood Avenue
		Littleton, MA 01460 USA
		}"
	status: "Copyright 1995-2008, Amalasoft"
	date: "$Date: 2008/12/03 $"
	revision: "$Revision: 001$"

class AEL_UNIX_DATE_TIME

inherit
	DATE_TIME
		redefine
			default_format_string
		end

create
	make_from_timet, make_from_timet_utc

--|========================================================================
feature {NONE} -- Creation and initialization
--|========================================================================

	make_from_timet (v: NATURAL_32) is
		do
			update_from_timet (v, False)
		end

	make_from_timet_utc (v: NATURAL_32) is
		do
			update_from_timet (v, True)
		end

	--|--------------------------------------------------------------

	update_from_timet (v: NATURAL_32; is_utc: BOOLEAN) is
			-- Pointer to `struct tm' area.
		local
			ud: AEL_UNIX_DATE
			d: DATE
			t: TIME
		do
			if (is_utc) then
				create ud.make_from_timet_utc (v)
			else
				create ud.make_from_timet (v)
			end

			create d.make (ud.year_now, ud.month_now, ud.day_now)
			create t.make_fine (ud.hour_now, ud.minute_now,
			ud.second_now +ud. millisecond_now / 1000)
			make_by_date_time (d, t)
		end

--|========================================================================
feature -- External representation
--|========================================================================

	default_format_string: STRING is
		do
			Result := Ks_update_fmt
		end

--|========================================================================
feature {NONE} -- Constants
--|========================================================================

	Ks_update_fmt: STRING is "[0]mm/[0]dd/yyyy hh12:[0]mi:[0]ss AM"

end -- class AEL_UNIX_DATE_TIME
